Bug 467957 - KDE Input Actions/Hotkeys don't work
KDE Input Actions/Hotkeys don't work
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
10
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-21 16:34 EDT by Peter Gückel
Modified: 2009-02-04 11:21 EST (History)
9 users (show)

See Also:
Fixed In Version: 4.1.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 11:21:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Gückel 2008-10-21 16:34:38 EDT
Description of problem:
When creating a new action (keyboard shortcut type), one must select a key that one wishes to map to a command. Although all of the so-called multimedia keys generate numbers and are already mapped to X keysyms (as can be seen by running xev), some keys will not register in this setup and others do, yet neither group of keys, those that are correctly detected by the setup and those that are not, does anything once a mapping is made.

Version-Release number of selected component (if applicable):
kdebase-4.1.2-5 (I don't truly know which component is responsible)

How reproducible:
Create a new group, create a new action within that group, define it as a keyboard shortcut type, press a key and have the program register the key, map a command to the newly bound key, accept the changes, depress the key, and NOTHING HAPPENS.

Steps to Reproduce:
1. See 'How respoducible' above.
2.
3.
  
Actual results:
Nothing happens.

Expected results:
The application mapped to the key should be started and it should be possible to map and have recognized all keys, since they are all recognized by xev (as noted above, some keys simply register as Launch (1), instead of as their X KeySym).

Additional info:
Comment 1 Peter Gückel 2008-10-21 16:39:37 EDT
Forgot: kde-settings is version 4.0-29.
Comment 2 Rex Dieter 2008-10-21 17:16:59 EDT
Can you be a little more precise on how to reproduce this?

I can at least comment that key assignments to work in general (I've done that to assign actions to a few of my laptop's multimedia keys for example).
Comment 3 Peter Gückel 2008-10-22 12:26:42 EDT
xev shows me that I have:
 179=XF86Tools
 163=XF86Mail
 180=XF86HomePage
 148=XF86Calculator
   etc

All the keys are mapped to an XKeySym.

In System Settings, under Input Actions, if I make a New Action of type Keyboard shortcut > Command (simple), and then select a key by depressing it, I get:

For 179(Tools), nothing seems to register, it just says: Input.
For 148(Calculator), similar. It says: Launch (1).
For the remaining keys, I get Launch Mail, Home Page, etc (all of the remaining keys seem to cause some sort of entry here that reflects the XKeySym).

Now, let me select the Media Play key here, for example, and bind it to the command amarok on the third tab, then apply, and press the key (I expect amarok to start)... NOTHING HAPPENS.

Let me select, in this test New Action, instead, the Calculator key (as noted above, it shows Launch (1)), and bind it to qalculate-kde (yes, I have it installed and it runs fine), apply the setting and press the key, and... NOTHING HAPPENS.
Comment 4 Bug Zapper 2008-11-25 23:06:04 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Jason Farrell 2008-11-28 07:52:40 EST
KDE4 Input Actions was non-functional for me in F9, and still is in F10 (kde 4.1.3).

On my 'Microsoft Natural Ergonomic 4000' keyboard, I'm able to assign my mute and volume keys via "General > Keyboard & Mouse > Keyboard Shortcuts > KMix", but have not been able to map any other keys, even basic ones like ctrl-alt-shift-P, from "Advanced > Input Actions". Not even the default preset for PrtScn to open ksnapshot works.

FWIW - all these same keys work in Gnome outofthebox, with correct default mappings, including the calculator key opening gnome-calculator. I haven't had kcalc mapped to my Calculator key in KDE since F8 (kde 3.5), which isn't really a big deal, since I now use alt-f2 =2+5*4 as my quicky calculator now :)

'xev' sees my keys correctly - they're just not being handled by KDE's Input Actions anymore for whatever reason:

KeyPress event, serial 33, synthetic NO, window 0x3a00001,
    root 0x13b, subw 0x3a00002, time 43916254, (39,34), root:(127,925),
    state 0x10, keycode 148 (keysym 0x1008ff1d, XF86Calculator), same_screen YES,
    XLookupString gives 0 bytes:
    XmbLookupString gives 0 bytes:
    XFilterEvent returns: False

KeyRelease event, serial 33, synthetic NO, window 0x3a00001,
    root 0x13b, subw 0x3a00002, time 43916406, (39,34), root:(127,925),
    state 0x10, keycode 148 (keysym 0x1008ff1d, XF86Calculator), same_screen YES,
    XLookupString gives 0 bytes:
    XFilterEvent returns: False
Comment 6 Rex Dieter 2008-11-28 15:54:28 EST
I can't reproduce generically.  For example, I've been able to set Volume Up, Down, mute keys.
Comment 7 Steven M. Parrish 2009-01-09 15:58:54 EST
Thank you for the bug report.  This issue needs to be addressed by the upstream developers.  Please submit a report at http://bugs.kde.org. You are requested to add the bugzilla link here for tracking purposes. Please make sure the bug isn't already in the upstream bug tracker before filing it.
Comment 8 Steven M. Parrish 2009-02-04 08:12:35 EST
Reporter, could you please reply to the previous request? If you don't reply in within one month of the original request , we will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 9 Jason Farrell 2009-02-04 10:59:28 EST
appears to be fixed now. can't reproduce.

Note You need to log in before you can comment on or make changes to this bug.